Announcement

Collapse
No announcement yet.

.Net Frameworks

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • .Net Frameworks

    Hi all,

    I just had question regards to .Net Framework versions and hopefully it will save me some time.

    I'm currently looking after SBS 2003 server and it's shooting few errors and I can see them on event log.

    ************************************************** ***************
    The description for Event ID ( 0 ) in Source ( .NET Runtime ) cannot be found. The local computer may not have the necessary registry information or message DLL files to display messages from a remote computer. You may be able to use the /AUXSOURCE= flag to retrieve this description; see Help and Support for details. The following information is part of the event: .NET Runtime version 1.1.4322.2407- AutoApprove.exe - Common Language Runtime Debugging Services: Application has generated an exception that could not be handled.

    Process id=0x135c (4956), Thread id=0x104c (4172).

    Click OK to terminate the application.
    Click CANCEL to debug the application..

    ************************************************** ***************

    I can see that it's an issue with version 1.1 and this server has 2.0 and 3.0 installed as well. I'm assuming to fix this I need to reinstall 1.1 but I can't do that until I uninstall 2 and 3.

    What I wanted to clarify is do I need to reinstall 1.0,1.1,2.0 to install 3.0 ??? or can I just reinstall 3.0 once everything is removed??? I remember hearing a while back that you still need to install 1.0 and 1.1 before 2.0 as you not have full feature otherwise. Is it still the same case??

    Just thought that if I only need to reinstall version 3 after I remove all others it'll be much faster to fix rather than having to reinstall all the previous versions again.

  • #2
    Re: .Net Frameworks

    May be putting foot in mouth but I think the .Net versions are independant of each other. You don't have to have version 1 installed before you can throw on version 2.

    Run Windows Update, Custom and see what is required.
    1 1 was a racehorse.
    2 2 was 1 2.
    1 1 1 1 race 1 day,
    2 2 1 1 2

    Comment


    • #3
      Re: .Net Frameworks

      I certainly remember installing 1.1 after 2.
      cheers
      Andy

      Please read this before you post:


      Quis custodiet ipsos custodes?

      Comment


      • #4
        Re: .Net Frameworks

        All the default SBS sites run in 1.1, so you definitely need that. And yes you do need to uninstall them in order then reinstall them in order.
        Plus http://msmvps.com/blogs/bradley/arch...n-the-box.aspx
        TIA

        Steven Teiger [SBS-MVP(2003-2009)]
        http://www.wintra.co.il/
        sigpic
        Iím honoured to have been selected for the SMB 150 list for 2013. This is the third time in succession (no logo available for 2011) that I have been honoured with this award.

        We donít stop playing because we grow old, we grow old because we stop playing.

        Comment


        • #5
          Re: .Net Frameworks

          Am I correct in thinking it is actually the 1.1 hotfix that stops re-installing not the other versions or.NET ?
          cheers
          Andy

          Please read this before you post:


          Quis custodiet ipsos custodes?

          Comment


          • #6
            Re: .Net Frameworks

            Yea I have organized to reinstall them but 3.0 seems to install 2.0 for me automatically so I'm thinking I just need to install the 1.1 than run the 3.0 which should install all the required components.

            Comment

            Working...
            X